# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSSRuleList Class Reference

The `CSSRuleList` interface provides the abstraction of an ordered collection of CSS rules. More...

`#include <css_rule.h>`

List of all members.

## Public Member Functions

| CSSRuleList (const CSSRuleList &other)
| CSSRuleList (CSSRuleListImpl *i)
| CSSRuleList (StyleListImpl *i)
CSSRuleList & | operator= (const CSSRuleList &other)
unsigned long | length () const
CSSRule | item (unsigned long index)
CSSRuleListImpl * | handle () const
bool | isNull () const

## Protected Attributes

CSSRuleListImpl * | impl

## Detailed Description

The `CSSRuleList` interface provides the abstraction of an ordered collection of CSS rules.

Definition at line 484 of file css_rule.h.

## Member Function Documentation

unsigned long CSSRuleList::length | ( |  | ) | const

| The number of `CSSRule` s in the list. The range of valid child rule indices is `0` to `length-1` inclusive. Definition at line 521 of file css_rule.cpp. Referenced by DOM::StyleSheetList::length().

CSSRule CSSRuleList::item | ( | unsigned long | index | ) |

Used to retrieve a CSS rule by ordinal index.

The order in this collection represents the order of the rules in the CSS style sheet.

Parameters:

  | index | Index into the collection

Returns:
  The style rule at the `index` position in the `CSSRuleList` , or `null` if that is not a valid index.

Definition at line 528 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:38 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003